Referenceregistries
Rename a skill (leaves a redirect alias)
Path Parameters
ownerHandle*string
Length
length <= 64slug*string
Length
length <= 64name*string
Match
^[a-z0-9]+(?:-[a-z0-9]+)*$Length
1 <= length <= 64Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/registries/string/string/skills/string/rename" \ -H "Content-Type: application/json" \ -d '{ "newName": "string" }'{ "skill": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "ref": "string", "name": "string", "type": "project", "description": "string", "keywords": [ "string" ], "latestVersion": "string", "deprecated": { "at": "2019-08-24T14:15:22Z", "message": "string" }, "updatedAt": "2019-08-24T14:15:22Z", "registryId": "771eb7a3-9cd7-46d3-86da-9e7e93b08f17", "repoBindings": [ "string" ], "distTags": { "property1": "string", "property2": "string" }, "createdAt": "2019-08-24T14:15:22Z", "metadata": { "github": { "owner": "string", "repo": "string", "ref": "string", "subpath": "string", "selector": "string", "upstreamHash": "string" }, "property1": null, "property2": null } }, "alias": { "alias": "string", "createdAt": "2019-08-24T14:15:22Z" }}{ "defined": true, "code": "UNAUTHORIZED", "status": 401, "message": "Authentication required or credentials invalid.", "data": null}{ "defined": true, "code": "FORBIDDEN", "status": 403, "message": "You do not have permission to perform this action.", "data": null}{ "defined": true, "code": "NOT_FOUND", "status": 404, "message": "The requested resource does not exist.", "data": { "resource": "string" }}{ "defined": true, "code": "CONFLICT", "status": 409, "message": "The request conflicts with the current state.", "data": { "reason": "string" }}{ "defined": true, "code": "VALIDATION", "status": 422, "message": "The input failed domain validation.", "data": { "issues": [ { "path": "string", "message": "string" } ] }}{ "defined": true, "code": "RATE_LIMITED", "status": 429, "message": "Rate limit exceeded; retry later.", "data": { "retryAfterSeconds": -9007199254740991 }}